Index: FOIAVistA/tag/r/PAID-PRS/PRS8PP.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8PP.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8PP.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8PP ;HISC/MRL,WIRMFO/MGD-DECOMP, PREMIUM PAYS ;05/10/07
- ;;4.0;PAID;**22,40,75,92,96,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8PP ;HISC/MRL,WIRMFO/MGD-DECOMP, PREMIUM PAYS ;02/27/04
+ ;;4.0;PAID;**22,40,75,92,96**;Sep 21, 1995
  ;
  ;This routine is the entry point for determining certain premium
@@ -98,25 +97,12 @@
  . . S DAT=$G(^TMP($J,"PRS8",DAYN,2)) D  Q:FND
  . . . ; loop thru tour segments in exceptions
- . . . F TS=1:1:7 Q:$P(DAT,U,(TS-1)*4+1)=""  D  Q:FND
+ . . . F TS=1:1:7 Q:$P(DAT,U,(TS-1)*3+1)=""  D  Q:FND
  . . . . ; check if time contained in exception segment
- . . . . I M1'<$P(DAT,U,(TS-1)*4+1),M1'>$P(DAT,U,(TS-1)*4+2) D
- . . . . . S TOT=$P(DAT,U,(TS-1)*4+3)
- . . . . . ; On-Call and Recess are the only types of exceptions
- . . . . . ; where OT, CT and RG can be posted for the same 15 minute
- . . . . . ; segment of time, so don't stop searching if you find these.
- . . . . . I TOT="ON"!(TOT="RS") S TOT="" Q
- . . . . . S FND=1,SC=$P(DAT,U,(TS-1)*4+4)
- . . . . . Q
- . Q:TOT="OT"&("^11^12^17^"'[(U_SC_U))  ; Pre-Scheduled & Tour Coverage & OT/CT With Premiums
- . Q:TOT="CT"&("^12^17^"'[(U_SC_U))     ; Tour Coverage & OT/CT With Premiums
- . ; Code 17 - OT/CT with premiums only get ND for 6p-6a
- . Q:TOT="OT"!(TOT="CT")!(TOT="RG")&(SC=17)&((M'<25)&(M'>72))
- . Q:TOT="RG"&(SC'=7)&(SC'=17)          ; Shift Coverage & OT/CT With Premiums
- . S X=10
- . ; for 36/40 AWS, premium time resulting from their tour 
- . ; will be mapped to Night Differential-AWS (ND/NU) and
- . ; Paid at the AAC with the 1872 divisor for the hourly rate (36*52)
- . I +NAWS=36,("OEc"'[VAL!(TOT="HW")) S X=51
- . D SET
+ . . . . I M1'<$P(DAT,U,(TS-1)*3+1),M1'>$P(DAT,U,(TS-1)*3+2) D
+ . . . . . S FND=1,TOT=$P(DAT,U,(TS-1)*3+3),SC=$P(DAT,U,(TS-1)*3+4)
+ . Q:TOT="OT"&("^11^12^"'[(U_SC_U))  ; Pre-Scheduled & Tour Coverage
+ . Q:TOT="CT"&(SC'=12)               ; Tour Coverage
+ . Q:TOT="RG"&(SC'=7)                ; Shift Coverage
+ . S X=10 D SET
  . ; keep leave count since it may need to be backed out by PRS8MSC0
  . I "LSRUFGD"[VAL S WKL(WK)=WKL(WK)+1
@@ -157,13 +143,5 @@
  . . ; grant ND (unless meal-time, etc.), keep count of leave since it
  . . ;   may need to be backed out by PRS8MSC0
- . . I AV[$E(D,J) D
- . . . S X=10
- . . . ; For 36/46 AWS nurses ND for Holiday Worked (HA/HL) and normal
- . . . ; tour time will be reported as Night Differential-AWS (ND/NU)
- . . . I +NAWS=36 D
- . . . . I $E(DAY(DAY,"HOL"),J)=2 S X=51 Q  ; Holiday Worked
- . . . . I "OEc"'[VAL S X=51 ; Tour time
- . . . D SET
- . . . S:"LSRUFGD"[$E(D,J) WKL(WK)=WKL(WK)+1
+ . . I AV[$E(D,J) S X=10 D SET S:"LSRUFGD"[$E(D,J) WKL(WK)=WKL(WK)+1
  ;
  Q
Index: FOIAVistA/tag/r/PAID-PRS/PRS8ST.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8ST.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8ST.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8ST ;HISC/MGD-DECOMPOSITION, START-UP ;05/09/07
- ;;4.0;PAID;**45,92,102,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8ST ;HISC/MGD-DECOMPOSITION, START-UP ;12/12/05
+ ;;4.0;PAID;**45,92,102**;Sep 21, 1995
  ;
  ;This routine is the one which actually gets everything moving.
@@ -15,5 +14,5 @@
  .S LP=$S(DAY=1:"0,1,2",1:(DAY+1)),JURY=0
  .F II=1:1 S DY=$P(LP,",",II) Q:DY=""  D
- ..F J=0,1,2,4,10,"CP","DH1","DH2","HOL","ML","MT1","MT2","OFF","P","TOUR","TWO","W","r" D
+ ..F J=0,1,2,4,10,"CP","DH1","DH2","HOL","ML","MT1","MT2","OFF","P","TOUR","TWO","W" D
  ...S DAY(DY,J)=$G(^TMP($J,"PRS8",DY,J))
  ...;
@@ -26,11 +25,9 @@
  ..S WK=$S(DY<8:1,1:2)
  ..S TOUR=$S(TYP'["W":1,+DAY(DY,"TOUR"):+DAY(DY,"TOUR"),1:+TOUR(WK))
- ..D MOVE^PRS8AC
- ..S N=DAY(DY,2),WK=$S(DY<8:1,1:2) ;exception node/week
+ ..D MOVE^PRS8AC S N=DAY(DY,2),WK=$S(DY<8:1,1:2) ;exception node/week
  ..I N["UN" S X1="UN" D 2 ;unavailable
  ..I N["HX" S X1="HX" D 2 ;holiday excused
  ..I N["ON" S X1="ON" D 2 ;on-call
  ..I N["SB" S X1="SB" D 2 ;standby
- ..; Process the scheduled tours
  ..S N=DAY(DY,1),DH=DAY(DY,"DH1"),NN=1 D  I DAY(DY,"TWO") S N=DAY(DY,4),DH=DAY(DY,"DH2"),NN=4 D
  ...S QT=0 F PRS8=1:3 S V=$P(N,"^",PRS8,PRS8+2) Q:QT  D
@@ -51,31 +48,12 @@
  .....F J=4,8,12,16,20,24,28 S:$P(JURY,"^",J)=6 JURY=1 Q
  ....D ^PRS8AC ;build "W" node
- ..; Process the exceptions
  ..S N=DAY(DY,2),WK=$S(DY<8:1,1:2) ;exception node/week
- ..S QT=0
- ..; If there are Recess exceptions, process them first
- ..I N["RS" D
- ...; Since Recess will reduce hours worked in the week add P to TYP
- ...I TYP'["P" S TYP=TYP_"P"
- ...F PRS8=1:4:25 S V=$P(N,"^",PRS8,PRS8+3) Q:QT  D
- ....Q:$P(V,"^",3)='"RS"
- ....I TYP["D",$P(V,"^",3)="" S QT=1 Q  ;doctor
- ....I TYP'["D",'+V,$P(V,"^",3)="" S QT=1 Q  ;all others
- ....S X=$P(V,"^",3)
- ....I "^UN^ON^SB^HX^"'[("^"_X_"^") D ^PRS8EX
- ...;
- ...; Process all other types of exceptions
- ..S QT=0
- ..F PRS8=1:4:25 S V=$P(N,"^",PRS8,PRS8+3) Q:QT  D
- ...Q:$P(V,"^",3)="RS"
+ ..S QT=0 F PRS8=1:4:25 S V=$P(N,"^",PRS8,PRS8+3) Q:QT  D
  ...I TYP["D",$P(V,"^",3)="" S QT=1 Q  ;doctor
  ...I TYP'["D",'+V,$P(V,"^",3)="" S QT=1 Q  ;all others
- ...S X=$P(V,"^",3)
- ...I "^UN^ON^SB^HX^"'[("^"_X_"^") D ^PRS8EX
- ..;
+ ...S X=$P(V,"^",3) I "^UN^ON^SB^HX^"'[("^"_X_"^") D ^PRS8EX
  ..S ^TMP($J,"PRS8",DY,"W")=DAY(DY,"W") ;save in ^TMP
  ..S ^TMP($J,"PRS8",DY,"P")=DAY(DY,"P") ;save non-prem ot in ^TMP
  ..S ^TMP($J,"PRS8",DY,"HOL")=DAY(DY,"HOL") ;holiday
- ..S ^TMP($J,"PRS8",DY,"r")=DAY(DY,"r") ; Recess for 9mo AWS nurse
  .S WK=$S(DAY<8:1,1:2),OFF=+DAY(DAY,"OFF") ;week/day off
  .S TOUR=$S(TYP'["W":1,+DAY(DAY,"TOUR"):+DAY(DAY,"TOUR"),1:+TOUR(WK))
@@ -86,17 +64,10 @@
  .Q
  ;
- ;make DAY array available for prior, current, and next day
  F DAY=1:1:14 D
- .; I AWS Nurse check to see if hour counts need to be adjusted
- .S WK=$S(DAY<8:1,1:2)
- .; For each week, TYP should not contain "P" unless:
- .; 36/40 AWS has NP or WP
- .;   9mo AWS has Recess
- .I +NAWS,(DAY=1!(DAY=8)) S TYP=$TR(TYP,"P","") D NAWS
- .;
+ .;make DAY array available for prior, current, and next day
  .K DAY(DAY-2)
  .S LP=$S(DAY=1:"0,1,2",1:(DAY+1))
  .F II=1:1 S DY=$P(LP,",",II) Q:DY=""  D
- ..F J=0,1,2,4,10,"CP","DH1","DH2","HOL","ML","MT1","MT2","OFF","P","TOUR","TWO","W","F","r" S DAY(DY,J)=$G(^TMP($J,"PRS8",DY,J))
+ ..F J=0,1,2,4,10,"CP","DH1","DH2","HOL","ML","MT1","MT2","OFF","P","TOUR","TWO","W","F" S DAY(DY,J)=$G(^TMP($J,"PRS8",DY,J))
  .;
  .S WK=$S(DAY<8:1,1:2),OFF=+DAY(DAY,"OFF") ;week/day off
@@ -104,5 +75,5 @@
  .;
  .I ((TYP["I")!(TYP["P")),DAY>0,DAY<15 D  ;FOR CY
- ..I $S('CYA:1,DAY<CYA:1,1:0) Q  ;quit if no calendar year adjustment
+ ..I $S('CYA:1,DAY<CYA:1,1:0) Q  ;quit if no calander year adjustment
  ..S IIX=0 I $E(ENT,2)'="D" F II=1:1:$L(DAY(DAY,"W")) D
  ...I "4E"[$E(DAY(DAY,"W"),II) S IIX=IIX+1
@@ -119,5 +90,5 @@
  ...I T=96!("BbCct"'[$E(DAY(DAY,"W"),T+1)) S OK=T
  ...I DOUB D ^PRS8OC,^PRS8SB Q  ;Prem. Pay of "W" or "V"
- ...I VAR1'=""&("Cct"[VAR1) D ^PRS8OC Q  ;compute on-call/2hr minimum
+ ...I VAR1'=""&("Cct"[VAR1) D ^PRS8OC Q  ;compte on-call/2hr minimum
  ...I "Bb"[VAR1 D ^PRS8SB ;standby
  .I $G(SBY) D UP^PRS8SB
@@ -141,5 +112,5 @@
  I '$E(ENT,$P("12^28^^29^26^^^29","^",+X)) S Q=1 ;entitlement string
  ;PATCH 45: ADD CHECK FOR FIRE FIGHTER ADDITIONAL HOURS
- ;SINCE THIS TYPE OF TIME IS NOT IN THE ENTITLEMENT TABLE
+ ;SINCE THIS TYPE OF TIME IS NOT IN THE ENTITLMENT TABLE
  ;IT IS SET UP WITH TOUR IND. WITH CODE 9
  I "Ff"[TYP,X=9 S Q=0
@@ -150,29 +121,3 @@
  F PRS8=1:4:25 S V=$P(N,"^",PRS8,PRS8+2) Q:$P(V,"^",1)=""  D
  .S X=$P(V,"^",3) I X=X1 D ^PRS8EX
- K PRS8,X,V
- Q
- ;
-NAWS ; NAWS Nurse Alternate Work Schedules
- ; If any NP or WP has been incurred for a nurse on the 36/40 AWS,
- ; adjust their hours worked counts.  40 hrs/wk will now be used to 
- ; determine their qualification for OT and CT.  Check piece 16 of
- ; 0 node as NH will have been updated to 320 in PRS8SU.
- ;
- I +NAWS=36 D
- .Q:$P(WK(WK),U,3)=""&($P(WK(WK),U,4)="")
- .S TH(WK)=144-($P(WK(WK),U,3)+$P(WK(WK),U,4)) ; Adjust Total Hours per week
- .S TH=TH(1)+TH(2) ; Adjust Total Hours per pay period
- .S NH(WK)=144,NH=288 ; Adjust Normal Hours
- .I TYP'["P" S TYP=TYP_"P" ; Make them into a PT employee
- .S $E(ENT,2)=1 ; Make employee eligible for UN/US
- ;
- ; If any Recess has occurred for a nurse on the 9month AWS, adjust 
- ; their hours worked counts.  These employees will be treated as PT
- ; in determining the eligibility for OT/CT.
- ;
- I +NAWS=9 D
- .Q:$P(WK(WK),U,48)=""
- .S TH(WK)=TH(WK)-$P(WK(WK),U,48) ; Adjust total hours per week
- .S TH=TH(1)+TH(2) ; Adjust Total Hours
- .I TYP'["P" S TYP=TYP_"P" ; Adjust TYP to represent a PT employee
- Q
+ K PRS8,X,V Q
Index: FOIAVistA/tag/r/PAID-PRS/PRS8SU.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8SU.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8SU.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8SU ;HISC/MRL-DECOMPOSITION, SET-UP ;02/20/08
- ;;4.0;PAID;**112,116**;Sep 21, 1995;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8SU ;HISC/MRL-DECOMPOSITION, SET-UP ;7/15/93  10:40
+ ;;4.0;PAID;;Sep 21, 1995
  ;
  ;This routine sets up various data elements required to process
@@ -8,5 +7,5 @@
  ;holiday information, etc.  All times are converted to 15-minute
  ;increments in this routine (the number of 15-minute increments
- ;into the day).  Additionally, the credit tour for WG
+ ;into the day).  Additionally, the credity tour for WG
  ;employees is determined in this routine.
  ;
@@ -36,5 +35,5 @@
  ....S FLAG=1 I N=2&(K1=1)&("^HW^"[("^"_$P(Z,"^",K+2)_"^")) S FLAG=$S(NDAY=1!(LAST>96)&("^HW^"[("^"_$P(Z,"^",K+2)_"^"))&((X["A")!(X["MID")):0,1:1),NDAY=0
  ....S:$P(D(0),"^",14)'=""&(X="MID")&(LAST=96)&(N=2)&(K1=1) FLAG=0 S:N=2&(K1=1)&(FLAG=1) (NDAY,LAST)=0 S Y=K1-1 D 15
- ....I N=2,"^RG^OT^CT^ON^SB^"'[("^"_$P(Z,"^",K+2)_"^") D
+ ....I N=2,"^RG^OT^CT^ON^SB^HW^"'[("^"_$P(Z,"^",K+2)_"^") D
  .....S Y=+$O(DADRFM("S",(-X-.01))),Y1=+$O(DADRFM("F",(X-.01)))
  .....I $G(DADRFM("S",Y))'=$G(DADRFM("F",Y1)) S X=X+96
@@ -63,5 +62,4 @@
  .S X="HOL" D SET ;save holiday string
  .S X="P" D SET ;premium node
- .S X="r" D SET ;Recess node
  .S X=D(0),OFF=0 I $P(X,"^",2)=1 S OFF=1 ;day off
  .S Z=OFF,X="OFF" D SET
@@ -81,8 +79,4 @@
  I TYP["B" S NH=320,(NH(1),NH(2))=160,TH=192,(TH(1),TH(2))=96 ; Baylor NH=40 hrs to mimic full time, TH = 24 hrs for reality
  E  S TH=NH,TH(1)=NH(1),TH(2)=NH(2) ;total hrs for pp
- ; 
- ; Update NH for the nurses on the 36/40 AWS
- I "KM"[$E(AC,1),$E(AC,2)=1,NH=288 S NH=320,(NH(1),NH(2))=160,TH=320,(TH(1),TH(2))=160
- ;
  I TYP["W",L>1 S $P(WK(3),"^",3)=L ;last tour (IN) in misc for WG
  S VALOLD=$G(^PRST(458,+PY,"E",+DFN,5)) ;existing decomp
@@ -93,5 +87,5 @@
  ;
  ; Need to conditionally set Y $S(Y=0 mid=00:00, y=1: mid=24:00)
- ; based on whether exception is within or outside the tour.
+ ; based on whether exception is within or outsided tour.
  D MIL^PRSATIM ;convert to military (24hr) time
  I +Y<1000 S Y=$E("0000",0,4-$L(Y))_Y
Index: FOIAVistA/tag/r/PAID-PRS/PRS8VW.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8VW.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8VW.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8VW ;HISC/MRL-DECOMPOSITION, VIEW RESULTS ;03/22/07
- ;;4.0;PAID;**2,6,27,45,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8VW ;HISC/MRL-DECOMPOSITION, VIEW RESULTS ;11/4/97
+ ;;4.0;PAID;**2,6,27,45**;Sep 21, 1995
  ;
  ;This routine is used to view the results of the decomposition.
@@ -11,6 +10,4 @@
  ;Called by Routines:  PRS8, PRS8DR
  S (NEW,VAL)=$G(VAL),(OLD,VALOLD)=$G(VALOLD)
- N DASH1,DASH2
- S $P(DASH1,"-",79)="-",$P(DASH2,"=",79)="="
  I +$E(NEW,2,4) S NEW=$E(VAL,33,999) ; 33rd position because CP field
  I +$E(OLD,2,4) S OLD=$E(VALOLD,33,999) ;is added(either "C","F"or" ")
@@ -26,5 +23,5 @@
  S X="Pay Period: "_(^PRST(458,+PY,0)) W ?(79-$L(X)),$P(X,"^",1)
  D CTID
- W !,DASH2
+ W ! F I=1:1:79 W "="
  W !,"Loc.",?10,"Data Element",?44,"Code",?52,"Old Value",?67,"New Value"
  W !,"----",?10,"------------",?44,"----",?52,"---------",?67,"---------"
@@ -33,11 +30,9 @@
  D STUB
  I "C"'[$E(IOST) D
- .W !,DASH1
+ .W ! F I=1:1:79 W "-"
  .W !,TR
  D ONE^PRS8CV,^%ZISC Q
  ;
 CERT ; entry point to show supervisor result of decomp before certifying
- N DASH1,DASH2
- S $P(DASH1,"-",79)="-",$P(DASH2,"=",79)="="
  S (NEW,VAL)=$G(VAL)
  I +$E(NEW,2,4) S NEW=$E(VAL,33,999) ;because CP field is added to STUB
@@ -51,18 +46,18 @@
  .S X="Run Date: "_Y,TR=$E(TR,1,(79-$L(X)))_X
  S H="PAY PERIOD SUMMARY" W !,$J(H,40+($L(H)/2)),!
- S X=$P(C0,"^",1)_" [SSN: "_$E($P(C0,"^",9))_"XXXX"_$E($P(C0,"^",9),6,9)_"]" W !,X
+ S X=$P(C0,"^",1)_" [SSN: "_$P(C0,"^",9)_"]" W !,X
  S X="Pay Period: "_(^PRST(458,+PY,0)) W ?(79-$L(X)),$P(X,"^",1)
  D CTID
- W !,DASH2
+ W ! F I=1:1:79 W "="
  W !
  K I,L,X,USED
  D ^PRS8VW2
  I "C"'[$E(IOST) D
- .W !,DASH1
+ .W ! F I=1:1:79 W "-"
  .W !,TR
  K H,R,Z Q
 E2 ; --- create E array
- S E(1)="ANSKWDNOAURTCECUUNNANBSPSASBSCDADBDCTFOAOBOCYAOKOMRARBRCHAHBHCPTPAONYDHDVCEAEBTATCFAFCADNTRSSRSDND"
- S E(2)="ALSLWPNPABRLCTCOUSNRNSSQSESFSGDEDFDGTGOEOFOGYEOSOURERFRGHLHMHNPHPBCLYHHOVSECEDTBTDFBFDAFNHRNSSSHNU"
+ S E(1)="ANSKWDNOAURTCECUUNNANBSPSASBSCDADBDCTFOAOBOCYAOKOMRARBRCHAHBHCPTPAONYDHDVCEAEBTATCFAFCADNT"
+ S E(2)="ALSLWPNPABRLCTCOUSNRNSSQSESFSGDEDFDGTGOEOFOGYEOSOURERFRGHLHMHNPHPBCLYHHOVSECEDTBTDFBFDAFNH"
  S E(3)="NLDWMLCAPCCYFE" Q
 STUB ; --- show stub record
@@ -74,6 +69,6 @@
  ;
 E ; --- create E array
- S E(1)="ANSKWDNOAURTCECUUNNANBSPSASBSCDADBDCTFOAOBOCYAOKOMRARBRCHAHBHCPTPAONYDHDVCEAEBTATCFAFCADNTRSSRSDND"
- S E(2)="ALSLWPNPABRLCTCOUSNRNSSQSESFSGDEDFDGTGOEOFOGYEOSOURERFRGHLHMHNPHPBCLYHHOVSECEDTBTDFBFDAFNHRNSSSHNU"
+ S E(1)="ANSKWDNOAURTCECUUNNANBSPSASBSCDADBDCTFOAOBOCYAOKOMRARBRCHAHBHCPTPAONYDHDVCEAEBTATCFAFCADNT"
+ S E(2)="ALSLWPNPABRLCTCOUSNRNSSQSESFSGDEDFDGTGOEOFOGYEOSOURERFRGHLHMHNPHPBCLYHHOVSECEDTBTDFBFDAFNH"
  S E(3)="NLDWINTLLULNLDDTTOLAMLCAPCCYRRFFFECD" Q
 CTID ; compressed tour indicator display
Index: FOIAVistA/tag/r/PAID-PRS/PRS8VW1.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8VW1.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8VW1.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8VW1 ;HISC/MRL-DECOMPOSITION, VIEW RESULTS, CONT. ;01/23/07
- ;;4.0;PAID;**6,35,45,69,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8VW1 ;HISC/MRL-DECOMPOSITION, VIEW RESULTS, CONT. ;8/23/01
+ ;;4.0;PAID;**6,35,45,69**;Sep 21, 1995
  ;
  ;This routine is used to view the results of the decomposition.
@@ -18,5 +17,5 @@
  S E=E(3),W="Misc",LOC=0 D SHOW
  I 'CHECK,"C"'[$E(IOST) D
- .W !,DASH1
+ .W ! F I=1:1:79 W "-"
  .W !,TR
  K %,CHECK,D,E,I,L,LOC,USED,W,X,Y Q
@@ -31,5 +30,5 @@
  ..S FOUND(LOC(1))=$G(FOUND(LOC(1)))
  ..S $P(FOUND(LOC(1)),"^",$S(LOC<2:1,1:4))=X
- .S Y=$P($T(@($E(X)_"^PRS8VW2")),";;",2)
+ .S Y=$P($T(@$E(X)),";;",2)
  .S Y(1)=$F(Y,$E(X,2)_":")
  .S Y=$P($E(Y,Y(1),999),":",1,2)
@@ -55,2 +54,34 @@
  I 'S,LOC'=1 K FOUND(LOC(1))
  Q
+ ;
+ ; This internal table stores types of time codes and their
+ ; corresponding descriptions and TT8B value field lengths. Each
+ ; single char line label below is the 1st char of a type of time code.
+ ; The text on the corresponding line contains '^' delimited
+ ; pieces.  The 1st char of those pieces is the 2nd char of a type of
+ ; time.  The text description for that time code is given by the
+ ; the number in the 2nd ':' delimited piece.  That number indicates 
+ ; the line number below the label TYP in routine PRS8VW2.  The 3rd 
+ ; ':' delimited piece is the length of the time code's value in the 
+ ; TT8B String. 
+ ;
+A ;;N:1:3^U:5:3^L:1:3^B:5:3^D:63:3^F:63:3
+C ;;E:7:3^U:8:3^T:7:3^O:8:3^L:34:4^A:55:4^Y:57:3^D:60:6
+D ;;A:16:3^B:17:3^C:18:3^E:16:3^F:17:3^G:18:3^W:45:2^T:48:6
+E ;;A:38:5^B:40:5^C:38:5^D:40:5
+F ;;F:59:4^A:61:3^B:61:3^C:62:3^D:62:3^E:64:6
+H ;;A:29:3^B:30:3^C:31:3^L:29:3^M:30:3^N:31:3^D:36:3^O:36:3
+I ;;N:46:1
+L ;;U:48:4^N:49:4^D:50:4^A:53:1
+M ;;L:54:4
+N ;;O:4:3^A:10:3^B:11:3^P:4:3^R:10:3^S:11:3^L:44:2^T:65:3^H:65:3
+O ;;A:20:3^B:21:3^C:22:3^K:24:3^M:25:3^N:34:4^E:20:3^F:21:3^G:22:3^S:24:3^U:25:3
+P ;;T:32:3^A:33:3^H:32:3^B:33:3^C:56:2
+R ;;T:6:3^A:26:3^B:27:3^C:28:3^L:6:3^E:26:3^F:27:3^G:28:3^R:58:1
+S ;;K:2:3^P:12:3^A:13:3^B:14:3^C:15:3^L:2:3^Q:12:3^E:13:3^F:14:3^G:15:3
+T ;;F:19:3^A:42:3^C:43:3^G:19:3^B:42:3^D:43:3^L:47:3^O:52:1
+U ;;N:9:3^S:9:3
+V ;;C:37:6^S:37:6
+W ;;D:3:3^P:3:3
+Y ;;A:23:3^D:35:4^E:23:3^H:35:4
+ Q
Index: FOIAVistA/tag/r/PAID-PRS/PRS8VW2.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8VW2.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8VW2.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8VW2 ;HISC/MRL,RTK-DECOMPOSITION, VIEW RESULTS ;03/28/07
- ;;4.0;PAID;**6,32,34,45,69,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8VW2 ;HISC/MRL,RTK-DECOMPOSITION, VIEW RESULTS ;09/27/01
+ ;;4.0;PAID;**6,32,34,45,69**;Sep 21, 1995
  ; 
  ; This routine is used to show the results of the decomp to
@@ -17,5 +16,5 @@
  S E=E(3),W="Misc",LOC=0 D SHOW
  I 'CHECK,"C"'[$E(IOST) D
- .W !,DASH1
+ .W ! F I=1:1:79 W "-"
  .W !,TR
  K %,CHECK,D,E,I,L,LOC,USED,W,X,Y Q
@@ -48,14 +47,6 @@
  Q
  ;
- ; This internal table stores types of time codes and their
- ; corresponding descriptions and TT8B value field lengths. Each
- ; single char line label below is the 1st char of a type of time code.
- ; The text on the corresponding line contains '^' delimited
- ; pieces.  The 1st char of those pieces is the 2nd char of a type of
- ; time.  The text description for that time code is given by the
- ; the number in the 2nd ':' delimited piece.  That number indicates
- ; the line number below the label TYP in routine PRS8VW2.  The 3rd
- ; ':' delimited piece is the length of the time code's value in the
- ; TT8B String.
+ ; See description of similar table in routine PRS8VW1 for 
+ ; explanation of table below.
  ;
 A ;;N:1:3^U:5:3^L:1:3^B:5:3^D:63:3^F:63:3
@@ -65,12 +56,12 @@
 F ;;F:59:4^A:61:3^B:61:3^C:62:3^D:62:3^E:64:6
 H ;;A:29:3^B:30:3^C:31:3^L:29:3^M:30:3^N:31:3^D:36:3^O:36:3
-I ;;N:46:1
-L ;;U:48:4^N:49:4^D:50:4^A:53:1
+I ;;N:46:1       
+L ;;U:48:4^N:49:4^D:50:4^A:53:1       
 M ;;L:54:4
-N ;;O:4:3^A:10:3^B:11:3^P:4:3^R:10:3^S:11:3^L:44:2^T:65:3^H:65:3^D:69:3^U:69:3
+N ;;O:4:3^A:10:3^B:11:3^P:4:3^R:10:3^S:11:3^L:44:2^T:65:3^H:65:3
 O ;;A:20:3^B:21:3^C:22:3^K:24:3^M:25:3^N:34:4^E:20:3^F:21:3^G:22:3^S:24:3^U:25:3
 P ;;T:32:3^A:33:3^H:32:3^B:33:3^C:56:2
-R ;;T:6:3^A:26:3^B:27:3^C:28:3^L:6:3^E:26:3^F:27:3^G:28:3^R:58:1^S:66:3^N:66:3
-S ;;K:2:3^P:12:3^A:13:3^B:14:3^C:15:3^L:2:3^Q:12:3^E:13:3^F:14:3^G:15:3^R:67:3^S:67:3^D:68:3^H:68:3
+R ;;T:6:3^A:26:3^B:27:3^C:28:3^L:6:3^E:26:3^F:27:3^G:28:3^R:58:1
+S ;;K:2:3^P:12:3^A:13:3^B:14:3^C:15:3^L:2:3^Q:12:3^E:13:3^F:14:3^G:15:3
 T ;;F:19:3^A:42:3^C:43:3^G:19:3^B:42:3^D:43:3^L:47:3^O:52:1
 U ;;N:9:3^S:9:3
@@ -79,5 +70,5 @@
 Y ;;A:23:3^D:35:4^E:23:3^H:35:4
  ;
-TYP ; literal values of activities (actual name)
+TYP ; literal values of acitivites (actual name)
  ;;Annual Leave
  ;;Sick Leave
@@ -145,6 +136,2 @@
  ;;Fee Basis
  ;;Base Tour Non Pay Hours
- ;;Recess
- ;;Saturday Premium-AWS
- ;;Sunday Premium-AWS
- ;;Night Differential-AWS
Index: FOIAVistA/tag/r/PAID-PRS/PRS8WE2.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8WE2.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8WE2.m	(revision 636)
@@ -1,5 +1,5 @@
-PRS8WE2 ;WCIOFO/MGD-DECOMPOSITION, WEEKEND PREMIUM PART 2 ;3/23/07
- ;;4.0;PAID;**90,92,96,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8WE2 ;WCIOFO/MGD-DECOMPOSITION, WEEKEND PREMIUM PART 2 ;10/22/04
+ ;;4.0;PAID;**90,92,96**;Sep 21, 1995
+ ;
 COUNT(DAYN,SEG) ; Increase count of premium for tour
  ; input
@@ -41,7 +41,7 @@
  . . . Q:TOURS=1!(TOURS=4)  ; If on a Tour it counts as Premium
  . . . S RC=$P(TOUR,"^",POST+3)
- . . . ; Remarks Code must be OT/CT on Premium (#9), Tour Coverage (#12),
- . . . ; CB - Premium T&L (#14) or OT/CT With Premiums (#17) to qualify for Premium pay.
- . . . I "^9^12^14^17^"'[("^"_RC_"^") S NOTELG=1
+ . . . ; Remarks Code must be OT/CT on Premium (#9), Tour Coverage (#12)
+ . . . ; or CB - Premium T&L (#14) to qualify for Premium pay.
+ . . . I "^9^12^14^"'[("^"_RC_"^") S NOTELG=1
  . Q:FND
  . ;
@@ -61,7 +61,7 @@
  . . . Q:TOURS=1!(TOURS=4)  ; If on a Tour it counts as Premium
  . . . S RC=$P(TOUR,"^",POST+3)
- . . . ; Remarks Code must be OT/CT on Premium (#9), Tour Coverage (#12),
- . . . ; CB - Premium T&L (#14) or OT/CT With Premiums to qualify for premium pay.
- . . . I "^9^12^14^17^"'[("^"_RC_"^") S NOTELG=1
+ . . . ; Remarks Code must be OT/CT on Premium (#9), Tour Coverage (#12)
+ . . . ; or CB - Premium T&L (#14) to qualify for premium pay.
+ . . . I "^9^12^14^"'[("^"_RC_"^") S NOTELG=1
  ;
  I $E(H(DAYN),SEG)=1!($E(P(DAYN),SEG)=5) Q
@@ -85,8 +85,4 @@
  . . . . . . I "^2^3^"[(U_SHIFT_U) S FND=1
  ;
- ;Set shift 2 for 36/40 AWS nurses with premium time outside tour
- ;for this time segment  i.e. overtime(O), comp time(C) or called in from
- ;on-call(c)
- I +NAWS=36,"cOE"[$E(D(DAYN),SEG) S SHIFT=2
  ; add to count
  S CNT(DAYN,SHIFT)=$G(CNT(DAYN,SHIFT))+1
@@ -105,9 +101,4 @@
  . . S AMT=CNT(DAYN,SHIFT)
  . . S PC=$S(TP="SAT":0,1:SHIFT)+12
- . . ;Shift 2 used for 36/40 nurses premium time within tour using the 2080 divisor (40*52).
- . . ;Saturday Premium-AWS (SR/SS) and Sunday Premium-AWS (SD/SH)
- . . ;Paid at the AAC with the 1872 divisor for the hourly rate (36*52)
- . . ;for time outside the tour.
- . . S:+NAWS=36 PC=$S(SHIFT=2:$S(TP="SAT":12,1:13),TP="SAT":49,1:50)
  . . S $P(WK(WEEK),U,PC)=$P(WK(WEEK),U,PC)+AMT
  Q
Index: FOIAVistA/tag/r/PAID-PRS/PRSACED2.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSACED2.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSACED2.m	(revision 636)
@@ -1,5 +1,4 @@
 PRSACED2 ; HISC/FPT-T&A Edits ;11/24/1999
- ;;4.0;PAID;**45,54,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;4.0;PAID;**45,54**;Sep 21, 1995
  ;
  ; initialize array that stores 8b values.  This array is used
@@ -36,6 +35,5 @@
 E2 I NOR=112,DUT=1,'$P(C0,"^",42)!('$P(C1,"^",24)) S ERR=67 D ERR^PRSACED
  I E(9),'$P(C1,"^",46),E(9)'=+NOR S ERR=65 D ERR^PRSACED
- ;exclude 9/3 month employee
- I DUT=2,'(NOR="01"&("LMN"[PAY)),'(NOR="80"&(PAY="M")),$P(C0,"^",42)=""!($P(C1,"^",24)="") S ERR=66 D ERR^PRSACED
+ I DUT=2,'(NOR="01"&("LMN"[PAY)),$P(C0,"^",42)=""!($P(C1,"^",24)="") S ERR=66 D ERR^PRSACED
  G ^PRSACED3
 OA ;
Index: FOIAVistA/tag/r/PAID-PRS/PRSACED5.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSACED5.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSACED5.m	(revision 636)
@@ -1,6 +1,4 @@
-PRSACED5 ; HISC/REL/FPT/PLT-T&A Cross-Edits ;11/20/06  12:53
- ;;4.0;PAID;**102,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
- ;
+PRSACED5 ; HISC/REL/FPT-T&A Cross-Edits ;02/07/06  12:53
+ ;;4.0;PAID;**102**;Sep 21, 1995
  G D1:DUT=1,D2:DUT=2,D3:DUT=3 Q
 D1 G:+NOR N1
@@ -13,6 +11,5 @@
  I LVG=5 I E(1)+E(2)+$P(C1,"^",30)>14 S ERR=160 D ERR^PRSACED
  Q
- ;36/40 employee has 8b normal hour = 72
-N1 I '(NOR=48!(NOR=72)&("KM"[PAY)),NOR<80 S ERR=153 D ERR^PRSACED
+N1 I '(NOR=48&("KM"[PAY)),NOR<80 S ERR=153 D ERR^PRSACED
  I '(PAY="W"&(LVG=0)),"123"'[LVG S ERR=154 D ERR^PRSACED
  S E(1)=0 F K=13:1:18,20,43 S X=$P(C0,"^",K),E(1)=E(1)+$E(X,1,2)+($E(X,3)*.25)
@@ -27,10 +24,8 @@
  I CWK="C",E(1)+E(2)>80 S ERR=166 D ERR^PRSACED
  Q
- ;exclude 9/3 month employee
-D2 I PAY'="M"!(FLSA'="E"),NOR<1!(NOR>79) S ERR=155 D ERR^PRSACED
+D2 I NOR<1!(NOR>79) S ERR=155 D ERR^PRSACED
  I "0123"'[LVG S ERR=156 D ERR^PRSACED
  I "ABCGLMNRU0123456789PQT"'[PAY S ERR=157 D ERR^PRSACED
- ;exclude 9/3 month employee
- QUIT:"123"'[LVG!(NOR="80"&(PAY="M"))
+ Q:"123"'[LVG
  S E(1)=0 F K=13:1:18,20,43 S X=$P(C0,"^",K),E(1)=E(1)+$E(X,1,2)+($E(X,3)*.25)
  S E(2)=0 F K=48:1:53 S X=$P(C0,"^",K),E(2)=E(2)+$E(X,1,2)+($E(X,3)*.25)
Index: FOIAVistA/tag/r/PAID-PRS/PRSACED6.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSACED6.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSACED6.m	(revision 636)
@@ -1,10 +1,9 @@
 PRSACED6 ; HISC/FPT-T&A Cross-Edits ;11/27/95  10:01
- ;;4.0;PAID;**6,45,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;4.0;PAID;**6,45**;Sep 21, 1995
 CODES ; Set variables T0 and T1 with 8B code list
- ;      1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67
+ ;      1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59
  ;
  S T0="AN SK WD NO AU RT CE CU UN NA NB SP DA SA SB SC OA OB OC OK DB OM RA RB RC HA HB HC HD PT PA ON VC EA EB AL SL WP NP AB RL FA FB FC FD AD AF FE",N1=60
- S T1="CT CO US NR NS DC TF SE SF SG OE OF OG OS TA OU RE RF RG HL HM HN HO PH PB CL VS EC ED NL DW IN TL LU LN LD TO LA ML CA PC TC CY RR SQ FF DE DF YA DG TG YD YE TB DT YH TD NT NH RS RN ND NU SR SS SD SH",N2=67
+ S T1="CT CO US NR NS DC TF SE SF SG OE OF OG OS TA OU RE RF RG HL HM HN HO PH PB CL VS EC ED NL DW IN TL LU LN LD TO LA ML CA PC TC CY RR SQ FF DE DF YA DG TG YD YE TB DT YH TD NT NH",N2=59
  Q
 STUB ; parse out 'stub' variables from 8b record
Index: FOIAVistA/tag/r/PAID-PRS/PRSAENT.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSAENT.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSAENT.m	(revision 636)
@@ -1,5 +1,4 @@
 PRSAENT ;HISC/MGD-Entitlement String ;10/21/04
- ;;4.0;PAID;**6,21,45,69,75,76,90,96,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;4.0;PAID;**6,21,45,69,75,76,90,96**;Sep 21, 1995
  ;
  ;VARS:
@@ -102,5 +101,4 @@
  S LVG=$P(C0,"^",15) S:LVG=5 AC=AC_"*" Q
 M I $E(AC,2)=1,NH=48 S AC=AC_"B" Q
- I $E(AC,2)=2,NH=80 S AC=AC_"R" Q
  I $E(AC,2)=2 S PB=$P(C0,"^",20) I PB=0 S AC=AC_"0" Q
  I $E(AC,2)=3 S PB=$P(C0,"^",20) I PB=2 S AC=AC_"2" Q
Index: FOIAVistA/tag/r/PAID-PRS/PRSAENX.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSAENX.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSAENX.m	(revision 636)
@@ -1,5 +1,4 @@
 PRSAENX ; HISC/REL-List Entitlement ;3/12/93  12:58
- ;;4.0;PAID;**34,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;4.0;PAID;**34**;Sep 21, 1995
  K DIC S DIC="^PRST(457.5,",DIC(0)="AEQM" W ! D ^DIC G:Y<1 EX S ENT=^PRST(457.5,+Y,1),NAM=$P(Y,"^",2)
  W ! K IOP,%ZIS S %ZIS("A")="Select Device: ",%ZIS="MQ" D ^%ZIS K %ZIS,IOP G:POP EX
@@ -19,7 +18,7 @@
 1 ;;Regular Scheduled
 2 ;;Regular Unscheduled
-3 ;;FF Reg. Sch. Hrs. Over 53
-4 ;;Reserved for future use
-5 ;;Recess Periods
+3 ;;Reg. Hrs. at OT Rate - Day
+4 ;;Reg. Hrs. at OT Rate - 2
+5 ;;Reg. Hrs. at OT Rate - 3
 6 ;;Night Differential - 2
 7 ;;Night Differential - 3
Index: FOIAVistA/tag/r/PAID-PRS/PRSALVS.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSALVS.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSALVS.m	(revision 636)
@@ -1,5 +1,4 @@
-PRSALVS ;HISC/REL-Display Leave Request ;11/21/06
- ;;4.0;PAID;**9,69,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRSALVS ;HISC/REL-Display Leave Request ;09/21/01
+ ;;4.0;PAID;**9,69**;Sep 21, 1995
  S DFN="",SSN=$P($G(^VA(200,DUZ,1)),"^",9) I SSN'="" S DFN=$O(^PRSPC("SSN",SSN,0))
  I 'DFN W !!,*7,"Your SSN was not found in both the New Person & Employee File!" G EX
@@ -48,10 +47,8 @@
  S EDT=$P($G(^PRST(458.1,DA,0)),"^",5) I EDT'>SDT G B3
  S X1=EDT,X2=SDT D ^%DTC S INC=X+13\14*$S(Z="AL":AINC,1:SINC)
- I NH=80,DB=2 S X1=EDT,X2=X+13\14*14-X D C^%DTC S INC=INC-$$RT(X,SDT) S:INC<0 INC=0
  I PRT W !,Z," Estimated Earnings: ",$J(INC,8,3)
  S LST=9999999-SDT,CNT=0
  F DTI=0:0 S DTI=$O(^PRST(458.1,"AD",DFN,DTI)) Q:DTI=""!(DTI>LST)  F RDA=0:0 S RDA=$O(^PRST(458.1,"AD",DFN,DTI,RDA)) Q:RDA=""  I $G(^(RDA))'>EDT D
  .S Z1=$G(^PRST(458.1,RDA,0)) S X1=$P(Z1,"^",7) S:"CB AD"[X1 X1="SL" Q:X1'=Z  Q:"AR"'[$P(Z1,"^",9)
- .I NH=72,DB=1 S $P(Z1,U,15)=$$LC($P(Z1,U,15))
  .S CNT=CNT+$P(Z1,"^",15)
  .I $P(Z1,"^",3)'<SDT,$P(Z1,"^",5)'>EDT Q
@@ -66,17 +63,6 @@
 HDR ; Display Header
  W:$E(IOST,1,2)="C-" @IOF W !?26,"VA TIME & ATTENDANCE SYSTEM",!?32,"LEAVE REQUESTS"
- S X=$G(^PRSPC(DFN,0)) W !!,$P(X,"^",1) S X=$P(X,"^",9) I X W ?50,"XXX-XX-",$E(X,6,9) Q
+ S X=$G(^PRSPC(DFN,0)) W !!,$P(X,"^",1) S X=$P(X,"^",9) I X W ?50,$E(X,1,3),"-",$E(X,4,5),"-",$E(X,6,9) Q
 H1 I $E(IOST,1,2)="C-" R !!,"Press RETURN to Continue.",X:DTIME S:'$T!(X["^") QT=1 I 'QT W @IOF,!
  Q
 EX G KILL^XUSCLEAN
- ;Multiply leave request by 1.111 and round down to the quarter hour
- ;for 36/40 nurses
-LC(X) S X=X*1.111\.25*.25 Q X
- ;Calculate number of Recess hours scheduled for a 9-month AWS Nurse 
- ;before the date leave has been requested for
-RT(EDT,SDT) N SFY,EFY,T,WK
- S SFY=$E($P($$GETFSCYR^PRSARC04(SDT),U,2),3,6),EFY=$E($P($$GETFSCYR^PRSARC04(EDT),U,2),3,6)
- D RES^PRSARC05(.WK,DFN,SFY,EFY,SDT,EDT) S (I,T)=0 F  S I=$O(WK(I)) Q:I=""  S T=T+WK(I)
- ;Calculate the number of hours of leave that would have been
- ;accumulated for the time the nurse was on recess.
- Q T/80*$S(Z="AL":AINC,1:SINC)\.25*.25
Index: FOIAVistA/tag/r/PAID-PRS/PRSAOTT.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSAOTT.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSAOTT.m	(revision 636)
@@ -1,5 +1,4 @@
-PRSAOTT ;WCIOFO/JAH/PLT- 8B CODES ARRAY.  COMPARE OT (8B-vs-APPROVED). ;11/29/2006
- ;;4.0;PAID;**37,43,54,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRSAOTT ;WCIOFO/JAH- 8B CODES ARRAY.  COMPARE OT (8B-vs-APPROVED). ;11/29/1999
+ ;;4.0;PAID;**37,43,54**;Sep 21, 1995
  ;
  ;Function & subroutine Index for this routine.
@@ -227,7 +226,7 @@
  ;
  Q:$G(WEEK)="" 0
- Q:WEEK=1 "AN SK WD NO AU RT CE CU UN NA NB SP SA SB SC DA DB DC TF OA OB OC YA OK OM RA RB RC HA HB HC PT PA ON YD HD VC EA EB TA TC FA FC AD NT RS ND SR SD"
- ;
- Q:WEEK=2 "AL SL WP NP AB RL CT CO US NR NS SQ SE SF SG DE DF DG TG OE OF OG YE OS OU RE RF RG HL HM HN PH PB CL YH HO VS EC ED TB TD FB FD AF NH RN NU SS SH"
+ Q:WEEK=1 "AN SK WD NO AU RT CE CU UN NA NB SP SA SB SC DA DB DC TF OA OB OC YA OK OM RA RB RC HA HB HC PT PA ON YD HD VC EA EB TA TC FA FC AD"
+ ;
+ Q:WEEK=2 "AL SL WP NP AB RL CT CO US NR NS SQ SE SF SG DE DF DG TG OE OF OG YE OS OU RE RF RG HL HM HN PH PB CL YH HO VS EC ED TB TD FB FD AF"
  ;
  Q:WEEK=3 "NL DW IN TL LU LN LD DT TO LA ML CA PC CY RR FF FE CD"
